Home

# Class goog.dom.MultiRangeIterator

Subclass of goog.dom.TagIterator that iterates over a DOM range. It adds functions to determine the portion of each text node that is selected.

extends goog.dom.RangeIterator

Instance Method Summary
| `clone() ⇒ ?goog.dom.MultiRangeIterator`
| `copyFrom(?goog.dom.MultiRangeIterator other)` Replaces this iterator's values with values from another.
| `getEndNode() ⇒ ?Node`
| `getEndTextOffset() ⇒ number`
| `getStartNode() ⇒ ?Node`
| `getStartTextOffset() ⇒ number`
| `isLast() ⇒ boolean`
| `next() ⇒ ?Node` Move to the next position in the DOM tree.